Subject: Was "ps ef" intending to be "ps -ef"?

From: Bob Proulx <[email-masked]>
Date: Wed, 3 Jan 2018 14:09:14 -0700

Paul Eggert wrote:
> Thanks. I installed the attached slightly-simpler patch into Gnulib, and it
> should appear in the next Gzip release.

> -  cmds_='date; date +%N; free; who -a; w; ps auxww; ps ef; netstat -n'
> +  cmds_='date; date +%N; free; who -a; w; ps auxww; ps ef'

I saw this in passing and it looks like there was another previous bug
there already.  I see "ps auxww; ps ef;" and I think immediately that
the original intention must have been "ps auxww; ps -ef;" since that
would be the normal idioms for BSD style and SysV style ps.

Which I think means this change is begging to be made:

-  cmds_='date; date +%N; free; who -a; w; ps auxww; ps ef'
+  cmds_='date; date +%N; free; who -a; w; ps auxww; ps -ef'

Bob